> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Resident Charge: Yardi

POST https://api.propexo.com/v1/resident-charges/yardi/
Content-Type: application/json

Create Resident Charge: Yardi| Interface            | Method              |
| -------------------- | ------------------- |
| Billing and Payments | ImportCharge\_Login |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/yardi/billing-and-payments/create-resident-charge-yardi

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_resident-charges_yardi__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `charge_code_id` (string, required) — The Propexo ID for the charge code associated with this new charge
- `transaction_date` (string, required) — The transaction date of the resident charge
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `post_month` (V1ResidentChargesYardiPostInputPostMonth, optional) — The post month for the resident charge. We will strip all data out of the datetime except the year and month.
- `description` (string, optional) — Description of the resident charge

## Response

### 200

Successful response

- `meta` (V1ResidentChargesYardiPostOutputMeta, required)
- `result` (V1ResidentChargesYardiPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentChargesYardiPostInputPostMonth

The post month for the resident charge. We will strip all data out of the datetime except the year and month.

### V1ResidentChargesYardiPostOutputMeta

- `job_id` (string, required)

### V1ResidentChargesYardiPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `charge_code_id` (string, required) — The Propexo ID for the charge code associated with this new charge
- `transaction_date` (string, required) — The transaction date of the resident charge
- `post_month` (V1ResidentChargesYardiPostOutputResultPostMonth, required, nullable) — The post month for the resident charge. We will strip all data out of the datetime except the year and month.
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `description` (string, required, nullable) — Description of the resident charge

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ResidentChargesYardiPostOutputResultPostMonth

The post month for the resident charge. We will strip all data out of the datetime except the year and month.

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "resident_id": "res-abcdef1234567890",
  "unit_id": "unit-0987654321fedcba",
  "financial_account_id": "finacc-1122334455667788",
  "charge_code_id": "charge-556677889900aabb",
  "transaction_date": "2024-01-15T09:30:00Z",
  "amount_in_cents": 125000
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240115-093000-xyz123"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-1234567890abcdef",
    "resident_id": "res-abcdef1234567890",
    "unit_id": "unit-0987654321fedcba",
    "financial_account_id": "finacc-1122334455667788",
    "charge_code_id": "charge-556677889900aabb",
    "transaction_date": "2024-01-15T09:30:00Z",
    "post_month": "2024-01-01",
    "amount_in_cents": 125000,
    "description": "Monthly rent charge for January 2024"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/resident-charges/yardi/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-1234567890abcdef",
    "resident_id": "res-abcdef1234567890",
    "unit_id": "unit-0987654321fedcba",
    "financial_account_id": "finacc-1122334455667788",
    "charge_code_id": "charge-556677889900aabb",
    "transaction_date": "2024-01-15T09:30:00Z",
    "amount_in_cents": 125000
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/resident-charges/yardi/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","property_id":"prop-1234567890abcdef","resident_id":"res-abcdef1234567890","unit_id":"unit-0987654321fedcba","financial_account_id":"finacc-1122334455667788","charge_code_id":"charge-556677889900aabb","transaction_date":"2024-01-15T09:30:00Z","amount_in_cents":125000}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/resident-charges/yardi/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"resident_id\": \"res-abcdef1234567890\",\n  \"unit_id\": \"unit-0987654321fedcba\",\n  \"financial_account_id\": \"finacc-1122334455667788\",\n  \"charge_code_id\": \"charge-556677889900aabb\",\n  \"transaction_date\": \"2024-01-15T09:30:00Z\",\n  \"amount_in_cents\": 125000\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/resident-charges/yardi/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"resident_id\": \"res-abcdef1234567890\",\n  \"unit_id\": \"unit-0987654321fedcba\",\n  \"financial_account_id\": \"finacc-1122334455667788\",\n  \"charge_code_id\": \"charge-556677889900aabb\",\n  \"transaction_date\": \"2024-01-15T09:30:00Z\",\n  \"amount_in_cents\": 125000\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/resident-charges/yardi/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"resident_id\": \"res-abcdef1234567890\",\n  \"unit_id\": \"unit-0987654321fedcba\",\n  \"financial_account_id\": \"finacc-1122334455667788\",\n  \"charge_code_id\": \"charge-556677889900aabb\",\n  \"transaction_date\": \"2024-01-15T09:30:00Z\",\n  \"amount_in_cents\": 125000\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/resident-charges/yardi/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "resident_id": "res-abcdef1234567890",
  "unit_id": "unit-0987654321fedcba",
  "financial_account_id": "finacc-1122334455667788",
  "charge_code_id": "charge-556677889900aabb",
  "transaction_date": "2024-01-15T09:30:00Z",
  "amount_in_cents": 125000
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/resident-charges/yardi/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"resident_id\": \"res-abcdef1234567890\",\n  \"unit_id\": \"unit-0987654321fedcba\",\n  \"financial_account_id\": \"finacc-1122334455667788\",\n  \"charge_code_id\": \"charge-556677889900aabb\",\n  \"transaction_date\": \"2024-01-15T09:30:00Z\",\n  \"amount_in_cents\": 125000\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "resident_id": "res-abcdef1234567890",
  "unit_id": "unit-0987654321fedcba",
  "financial_account_id": "finacc-1122334455667788",
  "charge_code_id": "charge-556677889900aabb",
  "transaction_date": "2024-01-15T09:30:00Z",
  "amount_in_cents": 125000
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/resident-charges/yardi/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```